List OAuth client tokens.
curl --request GET \
--url https://{tenant}/api/apis/oauth/{apiId}/{clientId}/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/apis/oauth/{apiId}/{clientId}/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/apis/oauth/{apiId}/{clientId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"code": "5a7d110be6355b0c071cc339327563cb45174ae387f52f87a80d2496",
"expires": 1618158407
},
{
"code": "5a7d110be6355b0c071cc33988884222b0cf436eba7979c6c51d6dbd",
"expires": 1618158594
}
]{
"Message": "API Reference not found.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/apis/oauth/{apiId}/{clientId}/tokens",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not retrieve tokens.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to unmarshal tokens data from Tyk API.",
"Meta": null,
"Status": "Error"
}Oauth
List OAuth client tokens.
This endpoint allows you to retrieve a list of all current tokens and their expiry date for a provided API ID and OAuth client ID.
GET
/
api
/
apis
/
oauth
/
{apiId}
/
{clientId}
/
tokens
List OAuth client tokens.
Was this page helpful?
⌘I